DMTCP\_COORDINATOR(1)

NAME
dmtcp_coordinater -- coordinates checkpoints among multiple processes.

SYNOPSIS
dmtcp_coordinater [OPTIONS]

DESCRIPTION

dmtcp_coordinator coordinates checkpoints among multiple processes.

OPTIONS

-p, --coord-port port (environment variable DMTCP_COORD_PORT)
     Port to listen on (default: 7779)

--port-file filename
     File to write listener port number. (Useful with --coord-port 0, which is used to assign a random port)

--ckptdir path (environment variable DMTCP_CHECKPOINT_DIR)
     Directory to store dmtcp_restart_script.sh (default: ./)

--tmpdir path (environment variable DMTCP_TMPDIR)
     Directory to store temporary files (default: env var TMDPIR or /tmp)

--exit-on-last
     Exit automatically when last client disconnects

--exit-after-ckpt
     Exit automatically after checkpoint is created

--daemon
     Run silently in the background after detaching from the parent process.

-i, --interval <val> (environment variable DMTCP_CHECKPOINT_INTERVAL)
     Time in seconds between automatic checkpoints (default: 0, disabled)

-q, --quiet
     Skip copyright notice.

--help
     Print this message and exit.

--version
     Print version information and exit.

  Commands for Coordinator

l: List connected nodes
s: Print status message
c: Checkpoint all nodes
i: Print current checkpoint interval
(To change checkpoint interval, use dmtcp_command)
k: Kill all nodes
q: Kill all nodes and quit
?: Show this message

REPORTING BUGS
Report bugs to: dmtcp-forum@lists.sourceforge.net
DMTCP home page: <http://dmtcp.sourceforge.net>

SEE ALSO
dmtcp(1), dmtcp_coordinator(1), dmtcp_launch(1), dmtcp_restart(1), dmtcp_command(1)

AUTHOR
See /usr/share/doc/dmtcp-2.6.0/AUTHORS.

VERSION

DMTCP version 2.6.0 of July, 2019.

COPYRIGHT
See /usr/share/doc/dmtcp-2.6.0/COPYING file.

License LGPLv3+: GNU LGPL version 3 or later <http://gnu.org/licenses/lgpl.html>.

This program comes with ABSOLUTELY NO WARRANTY. This is free software, and you are welcome to redistribute it under certain conditions; see COPYING file for details.